OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDraw

# IGESDraw_DrawingWithRotation Class Reference

defines IGESDrawingWithRotation, Type <404> Form <1>
in package IGESDraw

`#include <IGESDraw_DrawingWithRotation.hxx>`

Inheritance diagram for IGESDraw_DrawingWithRotation:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDraw_DrawingWithRotation ()
Standard_EXPORT void | Init (const Handle(IGESDraw_HArray1OfViewKindEntity)&allViews, const Handle(TColgp_HArray1OfXY)&allViewOrigins, const Handle(TColStd_HArray1OfReal)&allOrientationAngles, const Handle(IGESData_HArray1OfIGESEntity)&allAnnotations)
| This method is used to set the fields of the class DrawingWithRotation - allViews : Pointers to View entities - allViewOrigins : Origin coords of transformed views - allOrientationAngles : Orientation angles of transformed views - allAnnotations : Pointers to Annotation entities raises exception if Lengths of allViews, allViewOrigins and allOrientationAngles are not same. .
Standard_EXPORT Standard_Integer | NbViews () const
| returns the number of view pointers in <me>
Standard_EXPORT Handle_IGESData_ViewKindEntity | ViewItem (const Standard_Integer Index) const
| returns the View entity indicated by Index raises an exception if Index <= 0 or Index > NbViews().
Standard_EXPORT gp_Pnt2d | ViewOrigin (const Standard_Integer Index) const
| returns the Drawing space coordinates of the origin of the Transformed view indicated by Index raises an exception if Index <= 0 or Index > NbViews().
Standard_EXPORT Standard_Real | OrientationAngle (const Standard_Integer Index) const
| returns the Orientation angle for the Transformed view indicated by Index raises an exception if Index <= 0 or Index > NbViews().
Standard_EXPORT Standard_Integer | NbAnnotations () const
| returns the number of Annotation entities in <me>
Standard_EXPORT Handle_IGESData_IGESEntity | Annotation (const Standard_Integer Index) const
| returns the Annotation entity in this Drawing, indicated by Index raises an exception if Index <= 0 or Index > NbAnnotations().
Standard_EXPORT gp_XY | ViewToDrawing (const Standard_Integer NumView, const gp_XYZ &ViewCoords) const
Standard_EXPORT Standard_Boolean | DrawingUnit (Standard_Real &value) const
| Returns the Drawing Unit Value if it is specified (by a specific property entity) If not specified, returns False, and val as zero : unit to consider is then the model unit in GlobalSection .
Standard_EXPORT Standard_Boolean | DrawingSize (Standard_Real &X, Standard_Real &Y) const
| Returns the Drawing Size if it is specified (by a specific property entity) If not specified, returns False, and X,Y as zero : unit to consider is then the model unit in GlobalSection .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDraw_HArray1OfViewKindEntity | theViews
Handle_TColgp_HArray1OfXY | theViewOrigins
Handle_TColStd_HArray1OfReal | theOrientationAngles
Handle_IGESData_HArray1OfIGESEntity | theAnnotations

## Constructor & Destructor Documentation

Standard_EXPORT IGESDraw_DrawingWithRotation::IGESDraw_DrawingWithRotation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_IGESData_IGESEntity IGESDraw_DrawingWithRotation::Annotation | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Boolean IGESDraw_DrawingWithRotation::DrawingSize | ( | Standard_Real & | X,
|  | Standard_Real & | Y
| ) | const

Standard_EXPORT Standard_Boolean IGESDraw_DrawingWithRotation::DrawingUnit | ( | Standard_Real & | value | ) | const

Standard_EXPORT const IGESDraw_DrawingWithRotation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDraw_DrawingWithRotation::Init | ( | const Handle(IGESDraw_HArray1OfViewKindEntity)& | allViews,
|  | const Handle(TColgp_HArray1OfXY)& | allViewOrigins,
|  | const Handle(TColStd_HArray1OfReal)& | allOrientationAngles,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allAnnotations
| ) |

Standard_EXPORT Standard_Integer IGESDraw_DrawingWithRotation::NbAnnotations | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESDraw_DrawingWithRotation::NbViews | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDraw_DrawingWithRotation::OrientationAngle | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESData_ViewKindEntity IGESDraw_DrawingWithRotation::ViewItem | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT gp_Pnt2d IGESDraw_DrawingWithRotation::ViewOrigin | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT gp_XY IGESDraw_DrawingWithRotation::ViewToDrawing | ( | const Standard_Integer | NumView,
|  | const gp_XYZ & | ViewCoords
| ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESDraw_DrawingWithRotation::theAnnotations`[private]`

Handle_TColStd_HArray1OfReal IGESDraw_DrawingWithRotation::theOrientationAngles`[private]`

Handle_TColgp_HArray1OfXY IGESDraw_DrawingWithRotation::theViewOrigins`[private]`

Handle_IGESDraw_HArray1OfViewKindEntity IGESDraw_DrawingWithRotation::theViews`[private]`

The documentation for this class was generated from the following file:

- IGESDraw_DrawingWithRotation.hxx